# Amuse: amuse::SurroundProfiles Class Reference

amuse::SurroundProfiles Class Reference

`#include <SurroundProfiles.hpp>`

Collaboration diagram for amuse::SurroundProfiles:

## Static Public Member Functions

static void | SetupMatrix (float matOut[8], const ChannelMap &map, AudioChannelSet set, const Vector3f &emitPos, const Vector3f &listenPos, const Vector3f &listenDir, const Vector3f &listenUp)

## Detailed Description

Support class for attenuating channel audio based on speaker 'positions'

Definition at line 13 of file SurroundProfiles.hpp.

The documentation for this class was generated from the following file:

- include/amuse/SurroundProfiles.hpp